## Class TTemplateException

Description

TTemplateException class

TTemplateException represents an exception caused by invalid template syntax.

- since: 3.1
- version: $Id: TException.php 2247 2007-09-26 16:05:56Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Exceptions/TException.php (line 219)

    Exception
       |
       --TException
          |
          --TSystemException
             |
             --TConfigurationException
                |
                --TTemplateException

Method Summary
integer getLineNumber ()
string getTemplateFile ()
string getTemplateSource ()
void setLineNumber (integer $value)
void setTemplateFile (string $value)
void setTemplateSource (string $value)
Methods
getLineNumber (line 260)

- return: the line number at which the template has error
- access: public

integer getLineNumber ()
getTemplateFile (line 244)

- return: the template file that causes the exception. This could be empty if the template is an embedded template. In this case, use TemplateSource to obtain the actual template content.
- access: public

string getTemplateFile ()
getTemplateSource (line 228)

- return: the template source code that causes the exception. This is empty if TemplateFile is not empty.
- access: public

string getTemplateSource ()
setLineNumber (line 268)

- access: public

void setLineNumber (integer $value)

- integer $value: the line number at which the template has error

setTemplateFile (line 252)

- access: public

void setTemplateFile (string $value)

- string $value: the template file that causes the exception

setTemplateSource (line 236)

- access: public

void setTemplateSource (string $value)

- string $value: the template source code that causes the exception

#### Inherited Methods

Inherited From TException

> TException::__construct()
> TException::getErrorCode()
> TException::getErrorMessage()
> TException::getErrorMessageFile()
> TException::setErrorCode()
> TException::setErrorMessage()
> TException::translateErrorMessage()

Documentation generated on Mon, 21 Apr 2008 11:35:01 -0400 by phpDocumentor 1.3.0RC4